# SNESMonitorSolutionUpdate

Monitors progress of the SNES solvers by calling VecView() for the UPDATE to the solution at each iteration.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESMonitorSolutionUpdate(SNES snes,PetscInt its,PetscReal fgnorm,void *dummy)

Collective on SNES

### Input Parameters

| snes | - the SNES context
| its | - iteration number
| fgnorm | - 2-norm of residual
| dummy | - either a viewer or PETSC_NULL

### Keywords

SNES, nonlinear, vector, monitor, view

### See Also

SNESMonitorSet(), SNESMonitorDefault(), VecView()

Level:intermediate
Location:src/snes/interface/snesut.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages